SMF 2.x Taptalk 3.5.0 plugin installation failure

Discussion in 'SMF Discussion' started by igor, Mar 9, 2013.

  1. igor

    igor New Member

    SMF 2.0.4, old taptalk uninstalled, fresh install. Update looking for:

    echo '
    <span class="contact_info floatright">
    ', $context['can_send_pm'] ? '<a href="' . $member['online']['href'] . '" title="' . $member['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $member['online']['image_href'] . '" alt="' . $member['online']['text'] . '" align="bottom" />' : $member['online']['text'], $context['can_send_pm'] ? '</a>' : '', '
    ', isset($context['disabled_fields']['icq']) ? '' : $member['icq']['link'] , ' ', isset($context['disabled_fields']['msn']) ? '' : $member['msn']['link'], ' ', isset($context['disabled_fields']['yim']) ? '' : $member['yim']['link'], ' ', isset($context['disabled_fields']['aim']) ? '' : $member['aim']['link'], '
    </span>';


    to replace with:

    echo '
    <span class="contact_info floatright">'.((strpos($member['query']['USER_AGENT'], 'Tapatalk') !== false)? '<a title="On Tapatalk" href="http://tapatalk.com">
    <img align="bottom" alt="Online" src="'.$boardurl.'/mobiquo/forum_icons/tapatalk-online.png">
    </a>' : ''), $context['can_send_pm'] ? '<a href="' . $member['online']['href'] . '" title="' . $member['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $member['online']['image_href'] . '" alt="' . $member['online']['text'] . '" align="bottom" />' : $member['online']['text'], $context['can_send_pm'] ? '</a>' : '', '
    ', isset($context['disabled_fields']['icq']) ? '' : $member['icq']['link'] , ' ', isset($context['disabled_fields']['msn']) ? '' : $member['msn']['link'], ' ', isset($context['disabled_fields']['yim']) ? '' : $member['yim']['link'], ' ', isset($context['disabled_fields']['aim']) ? '' : $member['aim']['link'], '
    </span>';


    Source contains:

    echo '
    <span class="contact_info floatright">
    ', $context['can_send_pm'] ? '<a href="' . $member['online']['href'] . '" title="' . $member['online']['labe
    l'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $member['online']['image_href'] . '" alt="' . $member['online']['text'] . '" align="bottom" />' : $member['online']
    ['text'], $context['can_send_pm'] ? '</a>' : '', '
    ', isset($context['disabled_fields']['icq']) ? '' : $member['icq']['link'] , ' ', isset($context['disabled_fields']['msn']) ? '' : $member['msn']['link'], ' ', isset($context['disabled_fields']['skype']) ? '' : $member['skype']['link'], ' ', isset($context['disabled_fields']['gtalk']) ? '' : $member['gtalk']['link'], ' ', isset($context['disabled_fields']['aim']) ? '' : $member['aim']['link'], '
    </span>';
    }
    Hint: "gtalk".
  2. igor

    igor New Member

    Of course, easy to manually fix the issue ;)
  3. pikeman

    pikeman New Member

    Hello!

    I installed the new version 3.5.0 and does not work. Following error occurs:

    Invalid return payload: enable debugging to examine incoming payload (XML error at line 1, check URL)

    With version 3.4.0 everything worked as it should. What's the problem?
  4. pikeman

    pikeman New Member

    It does not work with the old version 3.4.0 when I get back.

    What's going on?
  5. wild56

    wild56 New Member

    impossible to install smf warns of many errors / test failed:

    ./Sources/Post.php
    Test fallito

    ./Sources/PersonalMessage.php Test fallito
    ./Themes/default/Who.template.php Test fallito

    Error installing the MOD
    There is at least one error during a test installation of this package MOD. It is highly recommended not to continue with the installation
  6. euhow

    euhow Plugin Developer Staff Member

    What's your forum url?
  7. euhow

    euhow Plugin Developer Staff Member

    Did you try uninstall old version first?
  8. wild56

    wild56 New Member

    yes. Now error is
    ./Themes/default/Who.template.php Test fallito
  9. puw

    puw New Member

    I have the same error as wild56 - fresh clean install !!!! Should it install without any errors, given the manual chmod aspect?

    SMF 2.0.4 and tapa 3.5.0
  10. pikeman

    pikeman New Member

    http://vukovisadunava.com/

    Now it works, I uninstalled it and reinstalled 3.5.0 with the same error when installing /Themes/default/Who.template.php Test failed.
  11. puw

    puw New Member

    Pikeman, are you saying you installed it even with the Test Failed and it worked, without you doing anything else?
  12. euhow

    euhow Plugin Developer Staff Member

    I've sent you a message and we can have a deeper investigation then, I will post the reason and solution here if the problem is solved.
  13. pikeman

    pikeman New Member

    Yes, but in the second attempt ...
  14. puw

    puw New Member

    Any update/feedback euhow?
  15. euhow

    euhow Plugin Developer Staff Member

    Hi puw, please check your pm.:)
  16. chadon

    chadon New Member

    Hello

    I upgraded Tapatalk to the 3.5.0 version and I have since the same error displayed. I tried to uninstall and reinstall the plugin, set up the permissions and there is no change.
    Here is the URL of my forum:
    http://www.mustangv8.com/fr/
  17. euhow

    euhow Plugin Developer Staff Member

    Did you uninstall old version Tapatalk first?
  18. chadon

    chadon New Member

    Yes, I did.
  19. euhow

    euhow Plugin Developer Staff Member

    I've sent you a message and we can have a deeper investigation then, I will post the reason and solution here if the problem is solved.
  20. stumpimario

    stumpimario New Member

    Hello, I upgraded Tapatalk to the 3.5.0 version and I have since the same error displayed. I tried to uninstall and reinstall the plugin, set up the permissions and there is no change. I use the SMF Forum Software: SMF 2.0 RC5/Final,
    Here is the URL of my forum:
    http://www.stumpjumper-forum.de/stump/smf

    and yes I uninstall the older version